from dolfin import *
import os

os.system("clear")

parameters["linear_algebra_backend"] = "PETSc"

print "***************************************************************************************************"
print "***************************************************************************************************"
print "Parameters for PETSc backend:\n"
list_lu_solver_methods()
print "\n"
list_krylov_solver_methods()
print "\n"
list_krylov_solver_preconditioners()
print "\n"

print "***************************************************************************************************"
print "***************************************************************************************************"
solver = LUSolver()
print "Parameters for LU solver:\n"
info(solver.parameters,True)
print "\n"

print "***************************************************************************************************"
print "***************************************************************************************************"
solver = KrylovSolver()
print "Parameters for Krylov solver:\n"
info(solver.parameters,True)
